Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can't pip install --no-binary :all: for rsa 4.1 #148

Closed
daveyeager opened this issue Jun 11, 2020 · 4 comments
Closed

Can't pip install --no-binary :all: for rsa 4.1 #148

daveyeager opened this issue Jun 11, 2020 · 4 comments
Assignees
Labels

Comments

@daveyeager
Copy link

@daveyeager daveyeager commented Jun 11, 2020

Get the following error attempting to pip install --no-binary :all: for rsa 4.1:

  ERROR: Command errored out with exit status 1:
   command: /usr/local/bin/python /usr/local/lib/python3.7/site-packages/pip install --ignore-installed --no-user --prefix /tmp/pip-build-env-t_dd66v5/overlay --no-warn-script-location --no-binary :all: --only-binary :none: -i https://pypi.org/simple -- 'poetry>=0.12'
       cwd: None
  Complete output (49 lines):
  Looking in indexes: https://pypi.org/simple
  Collecting poetry>=0.12
    Downloading poetry-1.0.9.tar.gz (167 kB)
    Installing build dependencies: started
    Installing build dependencies: finished with status 'done'
    Getting requirements to build wheel: started
    Getting requirements to build wheel: finished with status 'error'
    ERROR: Command errored out with exit status 1:
     command: /usr/local/bin/python /usr/local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py get_requires_for_build_wheel /tmp/tmpj1ktbbkf
         cwd: /tmp/pip-install-ap8po1db/poetry
    Complete output (36 lines):
    Traceback (most recent call last):
      File "/usr/local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py", line 280, in <module>
        main()
      File "/usr/local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py", line 263, in main
        json_out['return_val'] = hook(**hook_input['kwargs'])
      File "/usr/local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py", line 114, in get_requires_for_build_wheel
        return hook(config_settings)
      File "/tmp/pip-build-env-np3nbcwo/overlay/lib/python3.7/site-packages/intreehooks.py", line 53, in get_requires_for_build_wheel
        return self._backend.get_requires_for_build_sdist(config_settings)
      File "/tmp/pip-build-env-np3nbcwo/overlay/lib/python3.7/site-packages/intreehooks.py", line 38, in _backend
        obj = self._module_from_dir(modname)
      File "/tmp/pip-build-env-np3nbcwo/overlay/lib/python3.7/site-packages/intreehooks.py", line 25, in _module_from_dir
        mod = importlib.import_module(modname)
      File "/usr/local/lib/python3.7/importlib/__init__.py", line 127, in import_module
        return _bootstrap._gcd_import(name[level:], package, level)
      File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
      File "<frozen importlib._bootstrap>", line 983, in _find_and_load
      File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
      File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
      File "<frozen importlib._bootstrap>", line 983, in _find_and_load
      File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
      File "<frozen importlib._bootstrap_external>", line 728, in exec_module
      File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
      File "/tmp/pip-install-ap8po1db/poetry/poetry/masonry/__init__.py", line 10, in <module>
        from .builder import Builder
      File "/tmp/pip-install-ap8po1db/poetry/poetry/masonry/builder.py", line 1, in <module>
        from .builders.complete import CompleteBuilder
      File "/tmp/pip-install-ap8po1db/poetry/poetry/masonry/builders/__init__.py", line 1, in <module>
        from .complete import CompleteBuilder
      File "/tmp/pip-install-ap8po1db/poetry/poetry/masonry/builders/complete.py", line 6, in <module>
        from poetry.factory import Factory
      File "/tmp/pip-install-ap8po1db/poetry/poetry/factory.py", line 10, in <module>
        from clikit.api.io.io import IO
    ModuleNotFoundError: No module named 'clikit'
@lhoestq
Copy link

@lhoestq lhoestq commented Jun 11, 2020

Same issue here

@sybrenstuvel
Copy link
Owner

@sybrenstuvel sybrenstuvel commented Jun 11, 2020

I can reproduce the issue. The nasty thing is that even pip install --no-binary :all: clikit fails on ModuleNotFoundError: No module named 'clikit'. Apparently this is a known issue with Poetry: python-poetry/poetry#1975

Python-RSA should always be installable in a source/Python-only environment. If there is no workaround, I'm afraid we'll have to go back to using Pipenv :/

@sybrenstuvel sybrenstuvel self-assigned this Jun 11, 2020
sybrenstuvel added a commit that referenced this issue Jun 11, 2020
Poetry breaks no-binary installations of the RSA library, which defeats
the purpose of this library.

See #148
@eddie-scio
Copy link

@eddie-scio eddie-scio commented Jun 11, 2020

Just wanted to say thanks Sybren for the quick fix and publishing 4.1.1. to pypi!

sybrenstuvel added a commit that referenced this issue Jun 11, 2020
Poetry breaks no-binary installations of the RSA library, which defeats
the purpose of this library.

See #148

Among other changes, this reverts commit
fcf5b74.

I also added a workaround for an `ImportError` importing `zipp` on
Python 3.5.
sybrenstuvel added a commit that referenced this issue Jun 11, 2020
Poetry breaks no-binary installations of the RSA library, which defeats
the purpose of this library.

See #148

Among other changes, this reverts commit
fcf5b74.

I also added a workaround for an `ImportError` importing `zipp` on
Python 3.5.
@sybrenstuvel
Copy link
Owner

@sybrenstuvel sybrenstuvel commented Jun 11, 2020

I just released 4.2 that fixes this and hopefully also #147 :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
4 participants